<template>
	<div :class="classes">
		<template v-if="items.length">
			<template v-for="item in items" :key="item.text">
				<breadcrumb-item :item="item" :dividerClasses="dividerClasses" />
			</template>
		</template>
	</div>
</template>

<script>
import './breadcrumbs.css'
import BreadcrumbItem from './BreadCrumbItem.vue'

export default {
	name: 'my-breadcrumbs',

	components: {
		BreadcrumbItem,
	},

	props: {
		label: {
			type: String,
			required: true,
		},
		color: {
			type: String,
			validator: function (value) {
				return (
					[
						'secondary',
						'success',
						'warning',
						'danger',
						'light',
						'dark',
					].indexOf(value) !== -1
				)
			},
		},
		divider: {
			type: String,
			validator: function (value) {
				return ['chevron', 'pipe', 'whitespace'].indexOf(value) !== -1
			},
		},
		size: {
			type: String,
			validator: function (value) {
				return (
					['very small', 'small', 'medium', 'large', 'very large'].indexOf(
						value
					) !== -1
				)
			},
		},
		type: {
			type: String,
			validator: function (value) {
				return ['shadow', 'inverted', 'outlined'].indexOf(value) !== -1
			},
		},
		items: {
			type: Array,
			default: () => [],
		},
	},

	computed: {
		classes(props) {
			return [
				'breadcrumbs',
				`${props.type ? props.type : ''}`,
				`${props.color ? props.color : ''}`,
				`${props.size ? props.size : ''}`,
			]
		},
		dividerClasses(props) {
			return [`${props.divider ? props.divider : ''}`]
		},
	},
}
</script>
